# $Revision: 1.14.2.2 $, $Date: 2007/01/28 21:39:57 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		xfce_version	4.4.0
#
Summary:	Extension library to Xfce developed by os-cillation
Summary(pl):	Biblioteka rozszerze do Xfce opracowana przez os-cillation
Name:		libexo
Version:	0.3.2
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://www.xfce.org/archive/xfce-%{xfce_version}/src/exo-%{version}.tar.bz2
# Source0-md5:	8b73acc98d0938d1193b31316823b6db
URL:		http://www.os-cillation.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.8.20
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	hal-devel >= 0.5.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	perl-URI
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel >= 2:2.8.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce-mcs-manager-devel >= %{xfce_version}
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Extension library to Xfce developed by os-cillation.

%description -l pl
Biblioteka rozszerze do Xfce opracowana przez os-cillation.

%package -n xfce-preferred-applications
Summary:	The Xfce Preferred Applications framework
Summary(pl):	Struktura Preferowanych Aplikacji Xfce
Group:		Applications
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	xfce-mcs-plugins >= %{xfce_version}

%description -n xfce-preferred-applications
The Xfce Preferred Applications framework.

%description -n xfce-preferred-applications -l pl
Struktura Preferowanych Aplikacji Xfce.

%package apidocs
Summary:	libexo API documentation
Summary(pl):	Dokumentacja API libexo
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libexo API documentation.

%description apidocs -l pl
Dokumentacja API libexo.

%package devel
Summary:	Header files for libexo library
Summary(pl):	Pliki nagwkowe biblioteki libexo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxfce4util-devel >= %{xfce_version}

%description devel
Header files for libexo library.

%description devel -l pl
Pliki nagwkowe biblioteki libexo.

%package static
Summary:	Static libexo library
Summary(pl):	Statyczna biblioteka libexo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libexo library.

%description static -l pl
Statyczna biblioteka libexo.

%package -n python-exo
Summary:	Python binding for libexo library
Summary(pl):	Wizania Pythona do biblioteki libexo
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-exo
Python binding for libexo library.

%description -n python-exo -l pl
Wizania Pythona do biblioteki libexo.

%package -n python-exo-devel
Summary:	Development files for libexo Python bindings
Summary(pl):	Pliki programistyczne wiza Pythona do libexo
Group:		Libraries/Python
Requires:	python-exo = %{version}-%{release}

%description -n python-exo-devel
Development files for libexo Python bindings.

%description -n python-exo-devel -l pl
Pliki programistyczne wiza Pythona do libexo.

%prep
%setup -q -n exo-%{version}

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-hal \
	--enable-gtk-doc \
	--enable-notifications \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static} \
	--enable-python \
	--enable-mcs-plugin
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/*.{la,a}
rm -f $RPM_BUILD_ROOT%{py_sitedir}/exo-0.3/*.{la,a}

%py_postclean

%find_lang %{name}-0.3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	-n xfce-preferred-applications
%update_icon_cache hicolor

%postun	-n xfce-preferred-applications
%update_icon_cache hicolor

%files -f %{name}-0.3.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_pixmapsdir}/exo-0.3/

%files -n xfce-preferred-applications
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/exo-compose-mail-0.3
%attr(755,root,root) %{_libdir}/exo-helper-0.3
%attr(755,root,root) %{_libdir}/exo-mount-notify-0.3
%attr(755,root,root) %{_libdir}/xfce4/mcs-plugins/exo-preferred-applications-settings.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/*.rc
%{_datadir}/xfce4/doc/C
%lang(fr) %{_datadir}/xfce4/doc/fr
%lang(ja) %{_datadir}/xfce4/doc/ja
%dir %{_datadir}/xfce4/helpers
%{_datadir}/xfce4/helpers/*.desktop
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/apps/preferences-desktop-default-applications.png
%{_iconsdir}/hicolor/*/apps/applications-internet.png
%{_iconsdir}/hicolor/*/apps/applications-other.png
%{_mandir}/man1/*.1*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/exo

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/exo-0.3
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%files -n python-exo
%defattr(644,root,root,755)
%dir %{py_sitedir}/exo-0.3
%attr(755,root,root) %{py_sitedir}/exo-0.3/_exo.so
%dir %{py_sitedir}/exo-0.3/exo
%{py_sitedir}/exo-0.3/exo/*.py[co]
%{py_sitescriptdir}/*.py[co]

%files -n python-exo-devel
%defattr(644,root,root,755)
%{_datadir}/pygtk/2.0/defs/exo-0.3

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libexo.spec,v $
Revision 1.14.2.2  2007/01/28 21:39:57  megabajt
- updated to 0.3.2, merged from HEAD

Revision 1.22  2007/01/21 19:32:21  megabajt
- updated to 0.3.2 (Xfce 4.4.0)
- added apidocs subpackage

Revision 1.21  2007/01/04 01:17:46  arekm
- rel .2

Revision 1.20  2006/11/06 14:16:00  megabajt
- up to 0.3.1.12rc2 (Xfce 4.4RC2)
- updated deps

Revision 1.19  2006/09/04 14:31:08  megabajt
- updated to 0.3.1.10rc1

Revision 1.18  2006/07/24 19:18:33  freetz
- BR: perl-URI, rel.3

Revision 1.17  2006/07/24 18:24:46  freetz
- rel.2, removed LDFLAGS

Revision 1.16  2006/07/16 16:47:12  freetz
- merged from DEVEL

Revision 1.15.2.3  2006/07/16 16:46:28  freetz
- 0.3.1.8beta2, updated: deps, file list, BR/R, --as-needed support added,
  update icon cache

Revision 1.15.2.2  2006/05/17 03:09:40  charles
- regenerate ac/am/lt; updated BRs

Revision 1.15.2.1  2006/05/03 16:56:47  freetz
- 0.3.1.6beta1, added xfce-preferred-applications subpkg, fixed/updated BR

Revision 1.15  2006/03/18 15:55:56  megabajt
- modular xorg deps
- added using py_postclean macro

Revision 1.14.2.1  2006/03/18 16:00:10  megabajt
- added using py_postclean macro

Revision 1.14  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.13  2005/06/15 20:42:31  witekfl
- added bcond_without static_libs

Revision 1.12  2005/03/20 11:59:59  qboosh
- it's pure C, builds fine without libstdc++-devel

Revision 1.11  2005/03/20 11:59:18  qboosh
- -devel R: libxfcegui4-devel

Revision 1.10  2005/03/20 08:44:45  charles
- BR libstdc++-devel, python

Revision 1.9  2005/03/15 19:44:31  qboosh
- fixed files, separated python-exo binding (and its -devel)
- added versions to some BRs
- don't run autoconf alone when am is used (just asking for trouble)

Revision 1.8  2005/03/14 17:18:50  koorek
- fixed language stuff

Revision 1.7  2005/03/14 11:08:23  ankry
- BR: libxfcegui4-devel >= 4.2.0

Revision 1.6  2005/03/14 05:15:51  koorek
- updated to 0.3.0
- removed BR dbus (not needed anymore)

Revision 1.5  2004/12/22 21:52:52  charles
- BR autoconf instead of gcc-c++

Revision 1.4  2004/12/21 01:08:03  adamg
- release 1

Revision 1.3  2004/12/20 02:16:31  zbyniu
- BR: gcc-c++, gettext-devel, pkgconfig

Revision 1.2  2004/12/13 13:24:38  adamg
- added missing Revision/Date CVS Tags
- use %%find_lang macro

Revision 1.1  2004/12/13 13:17:24  adamg
- new, from Charles <charles (at) os.pl>
